<ui-view/>

<div class="grid">

	<header class="row no-padding heading clearfix">
		<div class="col-1 no-padding"><h2>Registrera Nytt Bolag</h2></div>
	</header>

	<div class="row clearfix">
		<div class="col-1">
			<form name="newSubscription" novalidate>
				<div svab-feedback-target="subscriptions.create"></div>
				<div ng-switch="subscription.companyType">

					<div ng-switch-when="1"><!-- AB -->
						<div class="col-1">
							<ul class="regular-list">
								<li>
									<strong class="list-title">Bolagets namn</strong>
									<span class="list-value">{{subscription.abBasicInfo.firma}}</span>
								</li>
								<li>
									<strong class="list-title">Organisationsnummer</strong>
									<span class="list-value">{{subscription.abBasicInfo.orgNr}}</span>
								</li>
								<li>
									<strong class="list-title">Adress</strong>
									<span class="list-value" ng-hide="!subscription.abBasicInfo.address.streetAddress">{{subscription.abBasicInfo.address.streetAddress}}, </span>
									<span class="list-value">{{subscription.abBasicInfo.address.zipCode}} {{subscription.abBasicInfo.address.city}}</span>
								</li>
								<li>
									<strong class="list-title">Bolagstyp</strong>
									<span class="list-value">Aktiebolag</span>
								</li>
								<li>
									<strong class="list-title">Aktiekapital</strong>
									<span class="list-value">{{subscription.abBasicInfo.shareCapital}} {{subscription.abBasicInfo.currency}}</span>
								</li>
								<li>
									<strong class="list-title">Totalt antal aktier</strong>
									<span class="list-value">{{subscription.abBasicInfo.totalShares}}</span>
								</li>
							</ul>
							<div class="col-1" ng-show="subscription.shareInfos.length > 0">
								<div class="col-1-3"><strong class="list-title">Akteslag</strong></div>
								<div class="col-1-3"><strong class="list-title">Antal</strong></div>
								<div class="col-1-3"><strong class="list-title">Röstvärde per Aktie</strong></div>
							</div>
							<div  class="col-1" ng-repeat="entry in subscription.shareInfos">
		                    	<span class="col-1-3">{{entry.aktieSlag}}</span>
		                    	<span class="col-1-3">{{entry.antal}}</span>
		                    	<span class="col-1-3">{{entry.rostVarde}}</span>
							</div>
						</div>
						<div class="col-1 clearfix">
							<p><label>Hembud?</label></p>
							<span class="custom-checkbox">
								<input type="checkbox"
									id="abBasicInfoPreEmption"
									name="abBasicInfoPreEmption"
									ng-model="subscription.abBasicInfo.preEmption"
									value=true/>
								<label for="abBasicInfoPreEmption">
									<span></span>
								</label>
							</span>
							<p class="helptext">Ange om det finns hembud för aktierna</p>
						</div>
						<div class="col-1 clearfix">
						<fieldset>
							<legend>Bolagets kontaktperson</legend>
							<div class="col-1">
								<p><label class="form-required">Förnamn</label><input name="abBasicInfoContactFirstName"
								                                                      type="text"
								                                                      ng-model="subscription.abBasicInfo.contactFirstName"
								                                                      placeholder="Förnamn"
								                                                      ng-required="subscription.companyType=1"/>
								</p>

								<div ng-messages="newSubscription.abBasicInfoContactFirstName.$error"
								     ng-show="newSubscription.abBasicInfoContactFirstName.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens förnamn</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Efternamn</label><input name="abBasicInfoContactLastName"
								                                                        type="text"
								                                                        ng-model="subscription.abBasicInfo.contactLastName"
								                                                        placeholder="Efternamn"
								                                                        ng-required="subscription.companyType=1"/></p>

								<div ng-messages="newSubscription.abBasicInfoContactLastName.$error"
								     ng-show="newSubscription.abBasicInfoContactLastName.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens efternamn</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Telefonnr</label><input name="abBasicInfoContactDetailsPhoneNumber"
								                                                        type="text"
								                                                        ng-model="subscription.abBasicInfo.contactDetails.phoneNumber"
								                                                        placeholder="Telefonnummer"
								                                                        ng-required="subscription.companyType=1"/>
								</p>

								<div ng-messages="newSubscription.abBasicInfoContactDetailsPhoneNumber.$error"
								     ng-show="newSubscription.abBasicInfoContactDetailsPhoneNumber.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens telefonnummer</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Email</label><input name="abBasicInfoContactDetailsEmail"
								                                                    type="email"
								                                                    ng-model="subscription.abBasicInfo.contactDetails.email"
								                                                    placeholder="Email"
								                                                    ng-required="subscription.companyType=1"/></p>

								<div ng-messages="newSubscription.abBasicInfoContactDetailsEmail.$error"
								     ng-show="newSubscription.abBasicInfoContactDetailsEmail.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens email</p>

									<p class="form-feedback error" ng-message="email">Ange en giltig email</p>
								</div>
							</div>

						</fieldset>
						</div>
					</div>
					<div ng-switch-when="3"><!-- HB -->
						<div class="col-1">
							<ul class="regular-list">
								<li>
									<strong class="list-title">Bolagets namn</strong>
									<span class="list-value">{{subscription.hbBasicInfo.firma}}</span>
								</li>
								<li>
									<strong class="list-title">Organisationsnummer</strong>
									<span class="list-value">{{subscription.hbBasicInfo.orgNr}}</span>
								</li>
								<li>
									<strong class="list-title">Adress</strong>
									<span class="list-value" ng-hide="!subscription.hbBasicInfo.address.streetAddress">{{subscription.hbBasicInfo.address.streetAddress}}, </span>
									<span class="list-value">{{subscription.hbBasicInfo.address.zipCode}} {{subscription.hbBasicInfo.address.city}}</span>
								</li>
								<li>
									<strong class="list-title">Bolagstyp</strong>
									<span class="list-value">Handelsbolag</span>
								</li>
							</ul>
						<fieldset>
							<legend>Bolagets kontaktperson</legend>
							<div class="col-1">
								<p><label class="form-required">Förnamn</label><input name="hbBasicInfoContactFirstName"
								                                                      type="text"
								                                                      ng-model="subscription.hbBasicInfo.contactFirstName"
								                                                      placeholder="Förnamn"
								                                                      ng-required="subscription.companyType=3"/>
								</p>

								<div ng-messages="newSubscription.hbBasicInfoContactFirstName.$error"
								     ng-show="newSubscription.hbBasicInfoContactFirstName.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens förnamn</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Efternamn</label><input name="hbBasicInfoContactLastName"
								                                                        type="text"
								                                                        ng-model="subscription.hbBasicInfo.contactLastName"
								                                                        placeholder="Efternamn"
								                                                        ng-required="subscription.companyType=3"/></p>

								<div ng-messages="newSubscription.hbBasicInfoContactLastName.$error"
								     ng-show="newSubscription.hbBasicInfoContactLastName.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens efternamn</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Telefonnummer</label><input name="hbBasicInfoContactDetailsPhoneNumber"
								                                                            type="text"
								                                                            ng-model="subscription.hbBasicInfo.contactDetails.phoneNumber"
								                                                            placeholder="Telefonnummer"
								                                                            ng-required="subscription.companyType=3"/></p>

								<div ng-messages="newSubscription.hbBasicInfoContactDetailsPhoneNumber.$error"
								     ng-show="newSubscription.hbBasicInfoContactDetailsPhoneNumber.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens telefonnummer</p>
								</div>
							</div>

							<div class="col-1">
								<p><label class="form-required">Email</label><input name="hbBasicInfoContactDetailsEmail"
								                                                    type="email"
								                                                    ng-model="subscription.hbBasicInfo.contactDetails.email"
								                                                    placeholder="Email"
								                                                    ng-required="subscription.companyType=3"/></p>

								<div ng-messages="newSubscription.hbBasicInfoContactDetailsEmail.$error"
								     ng-show="newSubscription.hbBasicInfoContactDetailsEmail.$touched">
									<p class="form-feedback error" ng-message="required">Ange kontaktpersonens email</p>
								</div>
							</div>
						</fieldset>
						</div>
					</div>
				</div>
				<div class="col-1 clearfix" ng-hide="agreement.agree">
					<label class="form-required" for="agreement">Jag godkänner <a href="/om-tjansten" target="_blank">villkoren</a></label>
					<p class="col-1 custom-checkbox">
						<input type="checkbox" id="agreement" name="agree" ng-model="agreement.agree" required/>
						<label for="agreement">
							<span></span>
						</label>
					</p>

					<div ng-messages="newSubscription.agree.$error" ng-show="newSubscription.agree.$touched">
						<p class="form-feedback error" ng-message="required">För att fortsätta måste du godkänna villkoren för tjänsten</p>
					</div>
				</div>
				<div class="col-1-2">
					<button ui-sref="user.dashboard">Ångra</button>
				</div>
				<div class="col-1-2">
					<button class="update" type="submit" ng-click="saveSubscription(newSubscription)">Registrera Bolag</button>
				</div>

			</form>


		</div>

	</div>
</div>